Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224452 - 64-bit fstack can't backtrace 32-bit process
Summary: 64-bit fstack can't backtrace 32-bit process
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nurdin Premji
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 19:34 UTC by Andrew Cagney
Modified: 2007-11-30 22:07 UTC (History)
8 users (show)

Fixed In Version: RHEA-2007-0592
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:05:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 3999 None None None Never
Red Hat Product Errata RHEA-2007:0592 normal SHIPPED_LIVE frysk enhancement update 2007-10-30 22:45:30 UTC

Description Andrew Cagney 2007-01-25 19:34:25 UTC
-bash-3.1$ /usr/lib/frysk/funit-exec $$ 0 1000 /bin/echo hi &
[1] 2332
2332.2332: creating 0 threads
2332.2332: send sig 0 to pid 1868
2332.2332: sleep 1000 sec
-bash-3.1$ fstack 2332
Task #2332
#0 0x0 in null ()
-bash-3.1$

Comment 1 Andrew Cagney 2007-02-08 18:14:25 UTC
Upstream frysk bug: http://sourceware.org/bugzilla/show_bug.cgi?id=3999

Comment 2 RHEL Product and Program Management 2007-03-21 22:32:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Nurdin Premji 2007-05-11 18:48:04 UTC
Fixed as of 2007-05-11

frysk-core/frysk/rt/CL
*StackFactory.java: Switch to using RemoteFrame.


-bash-3.1$./frysk-core/frysk/pkglibdir/arch32/funit-exec $$ 0 1000 /bin/echo hi &
[1] 19147
-bash-3.1$ 19147.19147: creating 0 threads
19147.19147: send sig 0 to pid 2991
19147.19147: sleep 1000 sec

-bash-3.1$./frysk-core/frysk/bindir/fstack 19147
Task #19147
#0 0x00000000 in [unknown]
#1 0x49c1d1b149c1d13c in __libc_sigsuspend ()
#2 0x8048e9908048e98 in main ()
#3 0x49c09ded49c09dec in __libc_start_main ()
#4 0x804896208048961 in _start ()


Comment 5 Nurdin Premji 2007-06-19 15:59:23 UTC
Also vdso reading is fixed.

1$ ./frysk-core/frysk/pkglibdir/arch32/funit-exec $$ 0 1000 /bin/echo hi &
[1] 30548
-bash-3.1$ 30548.30548: creating 0 threads
30548.30548: send sig 0 to pid 11694
30548.30548: sleep 1000 sec

-bash-3.1$ ./frysk-core/frysk/bindir/fstack 11694
Task #11694
#0 0x0000003b94094165 in __libc_waitpid ()
#1 0x0000000000450b8f in _start ()
#2 0x00000000004369ce in wait_for ()
#3 0x000000000042a804 in execute_command_internal ()
#4 0x000000000042b2df in execute_command ()
#5 0x000000000041b2ae in reader_loop ()
#6 0x000000000041ae09 in main ()
#7 0x0000003b9401d8a4 in __libc_start_main ()
#8 0x0000000000418ca9 in _start ()


Comment 9 errata-xmlrpc 2007-11-07 18:05:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0592.html



Note You need to log in before you can comment on or make changes to this bug.